# Uses of Interface
org.springframework.transaction.support.TransactionSynchronization

Packages that use TransactionSynchronization
Package
Description
org.springframework.transaction.jta
Transaction SPI implementation for JTA.
org.springframework.transaction.support
Support classes for the org.springframework.transaction package.

## Uses of TransactionSynchronization in org.springframework.transaction.jta

Method parameters in org.springframework.transaction.jta with type arguments of type TransactionSynchronization
Modifier and Type
Method
Description
`protected void`
JtaTransactionManager.`doRegisterAfterCompletionWithJtaTransaction(JtaTransactionObject txObject, List<TransactionSynchronization> synchronizations)`
Register a JTA synchronization on the JTA TransactionManager, for calling `afterCompletion` on the given Spring TransactionSynchronizations.
`protected void`
JtaTransactionManager.`registerAfterCompletionWithExistingTransaction(Object transaction, List<TransactionSynchronization> synchronizations)`
Constructors in org.springframework.transaction.jta with parameters of type TransactionSynchronization
Modifier
Constructor
Description
``
`SpringJtaSynchronizationAdapter(TransactionSynchronization springSynchronization)`
Create a new SpringJtaSynchronizationAdapter for the given Spring TransactionSynchronization and JTA TransactionManager.
``
`SpringJtaSynchronizationAdapter(TransactionSynchronization springSynchronization, TransactionManager jtaTransactionManager)`
Deprecated.
as of 6.0.12 since JTA 1.1+ requires implicit rollback-only setting in case of an exception thrown in `beforeCompletion`, so the regular `SpringJtaSynchronizationAdapter(TransactionSynchronization)` constructor is sufficient for all scenarios
``
`SpringJtaSynchronizationAdapter(TransactionSynchronization springSynchronization, UserTransaction jtaUserTransaction)`
Deprecated.
as of 6.0.12 since JTA 1.1+ requires implicit rollback-only setting in case of an exception thrown in `beforeCompletion`, so the regular `SpringJtaSynchronizationAdapter(TransactionSynchronization)` constructor is sufficient for all scenarios
Constructor parameters in org.springframework.transaction.jta with type arguments of type TransactionSynchronization
Modifier
Constructor
Description
``
`JtaAfterCompletionSynchronization(List<TransactionSynchronization> synchronizations)`
Create a new JtaAfterCompletionSynchronization for the given synchronization objects.

## Uses of TransactionSynchronization in org.springframework.transaction.support

Classes in org.springframework.transaction.support that implement TransactionSynchronization
Modifier and Type
Class
Description
`class`
`ResourceHolderSynchronization<H extends ResourceHolder,K>`
`TransactionSynchronization` implementation that manages a `ResourceHolder` bound through `TransactionSynchronizationManager`.
`class`
`TransactionSynchronizationAdapter`
Deprecated.
as of 5.3, in favor of the default methods on the `TransactionSynchronization` interface
Methods in org.springframework.transaction.support that return types with arguments of type TransactionSynchronization
Modifier and Type
Method
Description
`static List<TransactionSynchronization>`
TransactionSynchronizationManager.`getSynchronizations()`
Return an unmodifiable snapshot list of all registered synchronizations for the current thread.
Methods in org.springframework.transaction.support with parameters of type TransactionSynchronization
Modifier and Type
Method
Description
`static void`
TransactionSynchronizationManager.`registerSynchronization(TransactionSynchronization synchronization)`
Register a new transaction synchronization for the current thread.
Method parameters in org.springframework.transaction.support with type arguments of type TransactionSynchronization
Modifier and Type
Method
Description
`static void`
TransactionSynchronizationUtils.`invokeAfterCommit(List<TransactionSynchronization> synchronizations)`
Actually invoke the `afterCommit` methods of the given Spring TransactionSynchronization objects.
`protected final void`
AbstractPlatformTransactionManager.`invokeAfterCompletion(List<TransactionSynchronization> synchronizations, int completionStatus)`
Actually invoke the `afterCompletion` methods of the given Spring TransactionSynchronization objects.
`static void`
TransactionSynchronizationUtils.`invokeAfterCompletion(List<TransactionSynchronization> synchronizations, int completionStatus)`
Actually invoke the `afterCompletion` methods of the given Spring TransactionSynchronization objects.
`protected void`
AbstractPlatformTransactionManager.`registerAfterCompletionWithExistingTransaction(Object transaction, List<TransactionSynchronization> synchronizations)`
Register the given list of transaction synchronizations with the existing transaction.